package com.bocloud.cmp.entity.enums;

/**
 * 需要处理的申请消息类型
 *
 * @author dmw
 */
public enum SuitableApplyCategory {
    /**
     * 云主机申请
     */
    ResourceComputerApply("云主机申请"),
    /**
     * 云硬盘申请
     */
    ResourceStorageApply("云硬盘申请"),
    /**
     * 私有镜像申请
     */
    ResourceImageApply("私有镜像申请"),
    /**
     * 资源快照申请
     */
    ResourceSnapshotApply("资源快照申请"),
    /**
     * 浮动IP申请
     */
    ResourceFloatingIpApply("浮动IP申请"),
    /**
     * 云路由申请
     */
    ResourceRouterApply("云路由申请"),
    /**
     * Vpc申请
     */
    ResourceVpcApply("VPC申请"),
    /**
     * 云硬盘备份
     */
    ResourceStorageBackupApply("云硬盘备份申请"),
    /**
     * 云主机备份
     */
    ResourceComputerBackupApply("云主机备份申请"),
    /**
     * 裸金属服务器
     */
    ResourceBareMetalServerApply("裸金属服务器"),
    /**
     * 对象存储申请
     */
    ResourceBucketApply("对象存储申请"),
    /**
     * 云负载申请
     */
    ResourceLbApply("云负载申请"),
    /**
     * VPN申请
     */
    ResourceVpnApply("IPSec vpn申请"),
    /**
     * 云主机安全申请
     */
    CloudHostSecurityApply("云主机安全申请"),
    /**
     * web应用防护申请
     */
    WebAppProtectionApply("web应用防护申请"),
    /**
     * 网页防篡改申请
     */
    WebTamperProofApply("网页防篡改申请"),
    /**
     * 堡垒机申请
     */
    FortMachineApply("堡垒机申请"),
    /**
     * 关系数据库申请
     */
    MysqlApply("mysql数据库申请"),
    /**
     * 缓存数据库申请
     */
    RedisApply("redis缓存数据库申请"),
    /**
     * PostgreSQL数据库申请
     */
    PostgreSqlApply("PostgreSQL数据库申请"),
    /**
     * 对象存储申请
     */
    ObjectStorageApply("对象存储申请"),
    /**
     * 扩容云主机规格申请
     */
    ExpansionSpecApply("扩容云主机规格申请"),
    /**
     * 扩容云主机磁盘申请
     */
    ExpansionDiskApply("扩容云主机磁盘申请");
    private String name;

    private SuitableApplyCategory(String name) {
        this.name = name;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }
}
